<?php

namespace Drupal\webform_revisions\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

/**
 * Class RouteSubscriber
 *
 * @package Drupal\webform_revisions\Routing
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection) {
    $latest_revision_routes = [
      'entity.webform.source_form',
      'entity.webform.edit_form',
      'entity.webform_ui.element.edit_form',
    ];

    foreach($latest_revision_routes as $route_name) {
      if ($route = $collection->get($route_name)) {
        $current = $route->getOption('parameters') ?: [];
        $current[CONFIG_ENTITY_NAME]['load_latest_revision'] = TRUE;
        $route->setOption('parameters', $current);
      }
    }
  }

}
