<?php

namespace Drupal\config_entity_revisions;

/**
 * Trait ConfigEntityRevisionsDataAccessTrait.
 *
 * @package Drupal\config_entity_revisions
 */
trait ConfigEntityRevisionsDataAccessTrait {

  /**
   * Entity type manager.
   *
   * @var \Drupal\Core\Entity\EntityTypeManager;
   */
  protected $entityTypeManager;

  /**
   * Get the config entity storage.
   *
   * @return \Drupal\Core\Config\StorageInterface
   *   The storage for the config entity.
   */
  public function configEntityStorage() {
    return $this->entityTypeManager->getStorage(CONFIG_ENTITY_NAME);
  }

  /**
   * Get the revisions entity storage.
   *
   * @return \Drupal\Core\Config\StorageInterface
   *   The storage for the revisions entity.
   */
  public function contentEntityStorage() {
    return $this->entityTypeManager->getStorage('config_entity_revisions');
  }


}
