<?php

namespace Drupal\config_entity_revisions\Entity;

use Drupal\Core\Entity\EntityTypeInterface;
use Drupal\Core\Entity\Routing\EntityRouteProviderInterface;
use Symfony\Component\Routing\Route;
use Symfony\Component\Routing\RouteCollection;

/**
 * Provides routes for config_entity_revisionss.
 */
class ConfigEntityRevisionsRouteProvider implements EntityRouteProviderInterface {

  /**
   * {@inheritdoc}
   */
  public function getRoutes(EntityTypeInterface $entity_type) {
    $route_collection = new RouteCollection();
    $route = (new Route('/config_entity_revisions/{config_entity_revisions}'))
      ->addDefaults([
        '_controller' => '\Drupal\config_entity_revisions\Controller\ConfigEntityRevisionsViewController::view',
        '_title_callback' => '\Drupal\config_entity_revisions\Controller\ConfigEntityRevisionsViewController::title',
      ])
      ->setRequirement('config_entity_revisions', '\d+')
      ->setRequirement('_entity_access', 'config_entity_revisions.view');
    $route_collection->add('entity.config_entity_revisions.canonical', $route);

    $route = (new Route('/config_entity_revisions/{config_entity_revisions}/delete'))
      ->addDefaults([
        '_entity_form' => 'config_entity_revisions.delete',
        '_title' => 'Delete',
      ])
      ->setRequirement('config_entity_revisions', '\d+')
      ->setRequirement('_entity_access', 'config_entity_revisions.delete')
      ->setOption('_config_entity_revisions_operation_route', TRUE);
    $route_collection->add('entity.config_entity_revisions.delete_form', $route);

    $route = (new Route('/config_entity_revisions/{config_entity_revisions}/edit'))
      ->setDefault('_entity_form', 'config_entity_revisions.edit')
      ->setRequirement('_entity_access', 'config_entity_revisions.update')
      ->setRequirement('config_entity_revisions', '\d+')
      ->setOption('_config_entity_revisions_operation_route', TRUE);
    $route_collection->add('entity.config_entity_revisions.edit_form', $route);

    return $route_collection;
  }

}
